package com.ltgk.common.enums;


import lombok.Getter;

/**
 * 事故类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/01/18 17:05:24
 */
@Getter
public enum EmAccidentTypeEnums {
    ALL(0, "全部"),
    PERSON_DROWN(1, "人员落水"),
    CRASH_SHIP(2, "撞船"),
    FIRE(3, "火灾"),
    FLIP_SHIP(4, "翻船"),
    OTHER(5, "其他");

    private final Integer code;
    private final String desc;

    EmAccidentTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
